---
title: '::-webkit-progress-bar'
slug: 'Web/CSS/::-webkit-progress-bar'
tags:
  - CSS
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-webkit-progress-bar</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> represents the entire bar of a {{HTMLElement("progress")}} element. Normally it's only visible as the unfilled portion of the bar, since by default it's rendered below the {{ cssxref("::-webkit-progress-value") }} pseudo-element. It is a child of the {{cssxref("::-webkit-progress-inner-element")}} pseudo-element and the parent of the {{cssxref("::-webkit-progress-value")}} pseudo-element.</p>

<div class="note">
<p><strong>Note:</strong> For <code>::-webkit-progress-value</code> to take effect, {{cssxref("appearance")}} needs to be set to <code>none</code> on the <code>&lt;progress&gt;</code> element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-progress-bar</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS_content">CSS content</h3>

<pre class="brush: css notranslate">progress {
  -webkit-appearance: none;
}

::-webkit-progress-bar {
  background-color: orange;
}
</pre>

<h3 id="HTML_content">HTML content</h3>

<pre class="brush: html notranslate">&lt;progress value="10" max="50"&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", 200, 50)}}</p>

<h3 id="Result_screenshot">Result screenshot</h3>

<p>If you're not using a WebKit or Blink browser, the code above results in a progress bar that looks like this:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13488/progress-bar.png" style="height: 43px; width: 194px;"></p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-progress-bar")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The pseudo-elements used by WebKit/Blink to style other parts of a {{HTMLElement("progress")}} element:
  <ul>
   <li>{{ cssxref("::-webkit-progress-value") }}</li>
   <li>{{ cssxref("::-webkit-progress-inner-element") }}</li>
  </ul>
 </li>
 <li>{{ cssxref("::-moz-progress-bar") }}</li>
 <li>{{ cssxref("::-ms-fill") }}</li>
</ul>
